Bug 1283117 - Tables in errata tabs are not sortable
Tables in errata tabs are not sortable
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Alexander Wels
movciari
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 05:04 EST by movciari
Modified: 2016-02-10 14:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 10:40:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑3.6.z?
rule-engine: planning_ack?
ecohen: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48800 master MERGED webadmin: errata table sorting Never
oVirt gerrit 48861 ovirt-engine-3.6 MERGED webadmin: errata table sorting Never
oVirt gerrit 49036 ovirt-engine-3.6.1 MERGED webadmin: errata table sorting Never

  None (edit)
Description movciari 2015-11-18 05:04:11 EST
Description of problem:
Most tables in webadmin are sortable now, but tables showing errata are not.
They should be sortable by any column by clicking on table's header

Version-Release number of selected component (if applicable):
3.6.0.3-0.1.el6

How reproducible:
always

Steps to Reproduce:
1. Open list of errata for engine, host or VM
2. Click on table header to sort by column which you clicked

Actual results:
Nothing happens

Expected results:
It should sort table by that column

Additional info:
Comment 1 Oved Ourfali 2015-11-18 05:13:10 EST
Einav - do we currently support sorting for every column?
If so, can Alexander take this one?
Comment 2 Einav Cohen 2015-11-18 07:53:25 EST
(In reply to Oved Ourfali from comment #1)
> Einav - do we currently support sorting for every column?

no. we are focused on main-tabs and sub-tabs (not dialogs), but even there we have unsortable columns due to different reasons. 

> If so, can Alexander take this one?

not sure how easy that is, we can try. if change is too invasive, I would recommend to not backport to 3.6.
Comment 3 Alexander Wels 2015-11-18 15:05:21 EST
Its really just a matter of adding the 'makeSortable' to the columns. Very straight forward patch.
Comment 4 Pavel Stehlik 2016-01-13 10:40:44 EST
Closing old bugs. In case still happens, pls reopen.

Note You need to log in before you can comment on or make changes to this bug.